# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _jarsign_opts --nocopy --skip=%{basedir} --skip=%{bindir} --skip=%{_javadir} 

%define section free

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without zips
%bcond_with ws
%bcond_without repolib

%define with_signing 0
%define patchnumber 02
%define patchlevel -patch-%{patchnumber}
%define release_patchlevel _patch_%{patchnumber}

%define repodir %{_javadir}/repository.jboss.com/apache-tomcat/%{version}%{patchlevel}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define jspspec 2.2
%define major_version 7
%define minor_version 0
%define micro_version 54
%define packdname apache-tomcat-%{version}-src
%define servletspec 3.0
%define elspec 2.2
%define elspecalt 2_2
%define tcuid 91

# FHS 2.3 compliant tree structure - http://www.pathname.com/fhs/2.3/
%define basedir %{_var}/lib/%{name}
%define appdir %{basedir}/webapps
%define homedir %{_datadir}/%{name}
%define bindir %{homedir}/bin
%define confdir %{_sysconfdir}/%{name}
%define libdir %{_javadir}/%{name}
%define logdir %{_var}/log/%{name}
%define cachedir %{_var}/cache/%{name}
%define tempdir %{cachedir}/temp
%define workdir %{cachedir}/work
%define _initrddir %{_sysconfdir}/init.d
%define javasigneddir %{_datadir}/java-signed

Name: tomcat7
Epoch: 0
Version: %{major_version}.%{minor_version}.%{micro_version}
Release: 12%{release_patchlevel}%{?dist}
Summary: Apache Servlet/JSP Engine, RI for Servlet %{servletspec}/JSP %{jspspec} API
Group: Networking/Daemons
License: ASL 2.0
URL: http://tomcat.apache.org/
#http://apache.mirror.rafal.ca/tomcat/tomcat-6/v6.0.32/src/apache-tomcat-6.0.32-src.tar.gz
Source0: http://www.apache.org/dist/tomcat/tomcat-7/v%{version}/src/%{packdname}.tar.gz
Source1: %{name}-%{major_version}.%{minor_version}.conf
Source2: %{name}-%{major_version}.%{minor_version}.init
Source3: %{name}-%{major_version}.%{minor_version}.sysconfig
Source4: %{name}-%{major_version}.%{minor_version}.wrapper
Source5: %{name}-%{major_version}.%{minor_version}.logrotate
Source6: %{name}-%{major_version}.%{minor_version}-digest.script
Source7: %{name}-%{major_version}.%{minor_version}-tool-wrapper.script
#Source8: tomcat6-6.0.24-jsvc.tar.gz
Source9: %{name}-%{major_version}.%{minor_version}-log4j.properties
Source10: %{name}-component-info.xml
# for SELinux
Source11: %{name}-selinux.te
Source12: %{name}-selinux.if
Source13: %{name}-selinux.fc
Source14: commons-logging-1.1.3-src.tar.gz
Source15: README.CVE-2007-1355.tomcat7
#Source11: %{name}-7.0.policy
#Source12: %{name}-7.0.JBossPublicKey.RSA
#Source99: sign-unsigned-jars

Patch0: %{name}-%{major_version}.%{minor_version}.25-tomcat-users-webapp.patch
Patch1: %{name}-%{major_version}.%{minor_version}.25-build.patch
# Remove clustering from Tomcat6 in EWS
Patch2: %{name}-7.0.25-noclustering.patch
# Do not build windows zip
Patch3: tomcat7-7.0.27-nowinzips.patch
Patch4: tomcat7-7.0.52-jbpapp-6122-jon.patch
Patch5: tomcat7-7.0.25-jbapp-3749.patch
Patch6: tomcat7-7.0.54-build_extras.patch
Patch7: tomcat7-7.0.40-JBPAPP-3749-catalina.sh.patch
Patch8: tomcat7-7.0.40-ecj3-ignoreOptionalProblems_override.patch 
Patch9: tomcat7-7.0.40-rhbz-901081.patch
Patch10: tomcat7-7.0.40-rhbz-927930.patch
Patch11: tomcat7-7.0.54-CompilerOptionsV8.patch
Patch12: tomcat7-7.0.54-rhbz-1109212.patch
Patch13: tomcat7-7.0.54-rhbz-1182618.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: zip
BuildRequires: ant >= 0:1.7.1
BuildRequires: ant-trax
# Use ecj3 instead of ecj
# Tomcat7 requires ecj 3.7.1
#BuildRequires: ecj-eap6
BuildRequires: ecj3 >= 1:3.7.2
BuildRequires: findutils
BuildRequires: apache-commons-collections-tomcat-eap6
BuildRequires: apache-commons-daemon-eap6
BuildRequires: apache-commons-logging-tomcat-eap6
BuildRequires: apache-commons-dbcp-tomcat-eap6
BuildRequires: apache-commons-pool-tomcat-eap6
%if %with ws
BuildRequires: axis >= 0:1.1
BuildRequires: wsdl4j >= 0:1.6.1
%endif
BuildRequires: java7-devel >= 0:1.7.0
BuildRequires: jpackage-utils >= 0:1.7.0
BuildRequires: junit
BuildRequires: log4j >= 0:1.2.14
BuildRequires: avalon-framework >= 1:3-5
BuildRequires: avalon-logkit >=  0:1.2-8.2.1

#for uploading to r.j.o/maven2-brew
BuildRequires:  maven-source-plugin
BuildRequires:  maven-deploy-plugin

BuildRequires: jboss-parent
# needed for mvn-deploy
BuildRequires: apache-commons-parent
BuildRequires: apache-parent >= 0:7

# For SELinux
%if "%{?rhel}" == "6"
BuildRequires: selinux-policy
%else
BuildRequires: selinux-policy-devel
%endif

Requires(pre): shadow-utils
Requires(pre): shadow-utils
Requires: apache-commons-daemon-eap6 
Requires: apache-commons-logging-tomcat-eap6 >= 0:1.1.1
Requires: java >= 0:1.6.0
Requires: jpackage-utils
Requires: procps
Requires: %{name}-lib = %{epoch}:%{version}-%{release}
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(post): redhat-lsb
Requires(preun): redhat-lsb

%description
Tomcat is the servlet container that is used in the official Reference
Implementation for the Java Servlet and JavaServer Pages technologies.
The Java Servlet and JavaServer Pages specifications are developed by
Sun under the Java Community Process.

Tomcat is developed in an open and participatory environment and
released under the Apache Software License version 2.0. Tomcat is intended
to be a collaboration of the best-of-breed developers from around the world.

%package admin-webapps
Group: System Environment/Applications
Summary: The host-manager and manager web applications for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description admin-webapps
The host-manager and manager web applications for Apache Tomcat.

%if %with ws
%package ws
Group: Internet/WWW/Dynamic Content
Summary: Web Services (JSR 109) support for Apache Tomcat
Requires: axis >= 0:1.1
Requires: wsdl4j >= 0:1.6.1

%description ws
Tomcat provides factories for JSR 109 which may be used to resolve web services
references.
%endif

%package docs-webapp
Group: System Environment/Applications
Summary: The docs web application for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description docs-webapp
The docs web application for Apache Tomcat.

%package el-%{elspec}-api
Summary: Expression Language v%{elspec} API
Group: Development/Libraries/Java
Provides: el_%{elspecalt}_api = %{epoch}:%{version}-%{release}
Provides: el_api = 0:%{elspec}
Obsoletes: el_1_0_api < %{epoch}:%{version}-%{release}
Obsoletes: el_api < %{epoch}:%{elspec}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description el-%{elspec}-api
Expression Language %{elspec} 

%package javadoc
Group: Documentation
Summary: Javadoc generated documentation for Apache Tomcat
Requires(pre): coreutils

%description javadoc
Javadoc generated documentation for Apache Tomcat.

%package jsp-%{jspspec}-api
Group: Internet/WWW/Dynamic Content
Summary: Apache Tomcat JSP API implementation classes
Provides: jsp = %{jspspec}
Provides: jsp22
Obsoletes: jsp21
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives

%description jsp-%{jspspec}-api
Apache Tomcat JSP API implementation classes.

%package log4j
Group: Internet/WWW/Dynamic Content
Summary: Log4J support for Apache Tomcat
Requires: apache-commons-logging-tomcat-eap6

%description log4j
Log4J support for Apache Tomcat.

%package lib
Group: Development/Compilers
Summary: Libraries needed to run the Tomcat Web container
Provides: %{name}-annotations-api = %{epoch}:%{version}-%{release}
Provides: %{name}-api = %{epoch}:%{version}-%{release}
Provides: %{name}-catalina-ant = %{epoch}:%{version}-%{release}
Provides: %{name}-catalina = %{epoch}:%{version}-%{release}
Provides: %{name}-coyote = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n-es = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n-fr = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n-ja = %{epoch}:%{version}-%{release}
Provides: %{name}-jasper-el = %{epoch}:%{version}-%{release}
Provides: %{name}-jasper = %{epoch}:%{version}-%{release}
Provides: %{name}-jdbc = %{epoch}:%{version}-%{release}
Provides: %{name}-juli = %{epoch}:%{version}-%{release}
Provides: %{name}-util = %{epoch}:%{version}-%{release}
Provides: %{name}-websockets = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
Requires: %{name}-jsp-%{jspspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-el-%{elspec}-api = %{epoch}:%{version}-%{release}
# This is copied to jasper-jdt.jar. Linking is broken
#Requires: ecj-ea6
Requires: ecj3 >= 1:3.7.2
#Requires: apache-commons-collections-tomcat-eap6
#Requires: apache-commons-dbcp-tomcat-eap6
#Requires: apache-commons-pool-tomcat-eap6
Requires(preun): coreutils

%description lib
Libraries needed to run the Tomcat Web container.

%package servlet-%{servletspec}-api
Group: Internet/WWW/Dynamic Content
Summary: Apache Tomcat Servlet API implementation classes
Provides: servlet = %{servletspec}
Provides: servlet6
#Provides: servlet25
Provides: servlet30
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives

%description servlet-%{servletspec}-api
Apache Tomcat Servlet API implementation classes.

%package webapps
Group: System Environment/Applications
Summary: The ROOT and examples web applications for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description webapps
The ROOT and examples web applications for Apache Tomcat.

%if %with zips
%package zip
Summary:     Container for the zipped distribution of tomcat7
Group:       Development

%description zip
Container for the zipped distribution of tomcat7

%package src-zip
Summary:     Container for the sources
Group:       Development

%description src-zip
Container for the sources
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package maven-devel
Summary:     Container for Maven components and artifacts
Group:       Development
Provides: %{name}-maven-devel = %{epoch}:%{version}-%{release}
Requires: %{name}-jsp-%{jspspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-el-%{elspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-annotations-api = %{epoch}:%{version}-%{release}
Requires: %{name}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-catalina-ant = %{epoch}:%{version}-%{release}
Requires: %{name}-catalina = %{epoch}:%{version}-%{release}
Requires: %{name}-coyote = %{epoch}:%{version}-%{release}
Requires: %{name}-i18n-es = %{epoch}:%{version}-%{release}
Requires: %{name}-i18n-fr = %{epoch}:%{version}-%{release}
Requires: %{name}-i18n-ja = %{epoch}:%{version}-%{release}
Requires: %{name}-jasper-el = %{epoch}:%{version}-%{release}
Requires: %{name}-jasper = %{epoch}:%{version}-%{release}
Requires: %{name}-jdbc = %{epoch}:%{version}-%{release}
Requires: %{name}-juli = %{epoch}:%{version}-%{release}
Requires: %{name}-util = %{epoch}:%{version}-%{release}
Requires: %{name}-websockets = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
Requires(preun): coreutils

%description maven-devel
Container for tomcat maven components and artifacts

%prep
echo Prep Phase
%setup -q -c -T -a 0
%{_bindir}/find . -type f -name "*.[jw]ar" -o -type f -name "*.bat" -o -type f -name "*.pdf" | %{_bindir}/xargs -t %{__rm}
pushd %{packdname}
#JBPAPP-3653
# Does not exist in tomcat7
#sed -i -e '/<target name="package-zip">/,/<\/target>/s/eol="crlf"/eol="lf"/' dist.xml

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0

rm -f ./res/maven/tomcat-embed-core.pom
rm -f ./res/maven/tomcat-embed-jasper.pom
rm -f ./res/maven/tomcat-embed-logging-juli.pom
rm -f ./res/maven/tomcat-embed-logging-log4j.pom
rm -f ./res/maven/tomcat-catalina-ha.pom
rm -f ./res/maven/tomcat-tribes.pom
rm -f ./res/tomcat-catalina-jmx-remote.pom

%{__sed} -i -e 's/@MAVEN\.DEPLOY\.VERSION@/%{version}/g;' ./res/maven/*.pom

%{__ln_s} $(build-classpath ecj3) jasper-jdt.jar

popd

pushd %{packdname}
%{__mkdir_p} output/extras
#%{__ln_s} $(build-classpath commons-logging-adapters) output/extras/tomcat-juli-adapters.jar
%{__cp} %{SOURCE14} .
%if %with ws
%{__mkdir_p} output/extras/webservices
%{__ln_s} $(build-classpath axis/jaxrpc) output/extras/webservices/jaxrpc.jar
%{__ln_s} $(build-classpath wsdl4j/wsdl4j16) output/extras/webservices/wsdl4j.jar
%endif
popd

%build
echo Build Phase
export JAVA_HOME=%{_jvmdir}/java-1.7.0

export OPT_JAR_LIST="`%{__cat} %{_sysconfdir}/ant.d/trax`" 

pushd %{packdname}
    touch HACK
# COMMONS
	
    %{__cp} $(build-classpath commons-dbcp-eap6) commons-dbcp-eap6.jar
    # We don't care about the tarballs
    # Who needs a build.properties file anyway
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-daemon.jsvc.tar.gz="HACK" \
        -Djasper-jdt.jar="jasper-jdt.jar" \
        -Djdt.jar="jasper-jdt.jar" \
        -Dtomcat-dbcp.jar="commons-dbcp-eap6.jar" \
        -Dtomcat-native.tar.gz="" \
        -Dversion="%{version}" \
		-Dversion.patch="%{patchlevel}" \
        -Dversion.build="%{micro_version}-%{release}" \
        -Dcommons-collections.jar="$(build-classpath commons-collections-eap6)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon-eap6)" \
        -Dno.build.dbcp=true \
        -Djava.7.home=${JAVA_HOME} \
            dist-prepare deploy javadoc \
            package-src-zip

# Needed later. build.xml no longer can do it without complications
	mkdir -p tmp/apache-tomcat-%{version}
	pushd tmp
	pushd apache-tomcat-%{version}
	  %{__cp} -r ../../output/build/* .
	popd
     zip -r -q ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip \
	    apache-tomcat-%{version}/* -x bin/service.bat bin/i64 bin/*.exe bin/*.dll
	popd
	rm -rf tmp

    # extras generation
%if %with ws
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-daemon.jsvc.tar.gz="HACK" \
        -Djasper-jdt.jar="jasper-jdt.jar" \
        -Djdt.jar="jasper-jdt.jar" \
        -Dtomcat-dbcp.jar="commons-dbcp-eap6.jar" \
        -Dtomcat-native.tar.gz="" \
        -Dversion="%{version}" \
        -Dversion.patch="%{patchlevel}" \
        -Dversion.build="%{micro_version}-%{release}" \
        -Dcommons-collections.jar="$(build-classpath commons-collections-eap6)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon-eap6)" \
        -Djava.7.home=${JAVA_HOME} \
		   extras
%else
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-daemon.jsvc.tar.gz="HACK" \
        -Djasper-jdt.jar="jasper-jdt.jar" \
        -Djdt.jar="jasper-jdt.jar" \
        -Dtomcat-dbcp.jar="commons-dbcp-eap6.jar" \
        -Dtomcat-native.tar.gz="" \
        -Dversion="%{version}" \
        -Dversion.patch="Red Hat EWS2" \
        -Dversion.build="%{micro_version}-%{version}" \
        -Dcommons-collections.jar="$(build-classpath commons-collections-eap6)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon-eap6)" \
        -Dcommons-logging-src.tar.gz="%{SOURCE14}"  \
        -Dservletapi.jar="`pwd`/output/build/lib/servlet-api.jar" \
        -Davalon-framework.jar="$(build-classpath avalon-framework)" \
        -Dlog4j.jar="$(build-classpath log4j)" \
	-Dlog4j12.jar="$(build-classpath log4j)" \
        -Dlogkit.jar="$(build-classpath avalon-logkit)" \
        -Djava.7.home=${JAVA_HOME} \
            extras-commons-logging
%endif
    #%{__mkdir_p} tmp
    #pushd tmp
    #%{jar} xf ../output/extras/tomcat-juli.jar
    #%{jar} xf $(build-classpath commons-logging-adapters)
    #%{jar} cf ../output/extras/tomcat-juli.jar *
    #popd
    #rm -r tmp

#    # dist generation
#    %{ant} -Dbase.path="." \
#        -Dbuild.compiler="modern" \
#        -Dcommons-daemon.jsvc.tar.gz=../jsvc.tar.gz \
#        -Djasper-jdt.jar="jasper-jdt.jar" \
#        -Djdt.jar="jasper-jdt.jar" \
#        -Dtomcat-dbcp.jar="tomcat-dbcp.jar" \
#        -Dtomcat-native.tar.gz="" \
#        -Dversion="%{version}" \
#		  -Dversion.patch="Red Hat EWS" \
#        -Dversion.build="%{micro_version}-%{release}" \
#        -Dcommons-collections.jar="$(build-classpath commons-collections)" \
#        -Dcommons-daemon.jar="$(build-classpath commons-daemon)" \
#        -Dskip.installer=true -f dist.xml

    %{__rm} output/build/lib/jasper-jdt.jar
    %{__rm} output/build/lib/commons-dbcp-eap6.jar
    %{__rm} output/build/lib/catalina-ha.jar
    %{__rm} HACK
    %{__rm} -r output/build/webapps/examples/servlets/*
    %{__rm} -r output/build/webapps/examples/jsp/*
    %{__rm} -r output/build/webapps/examples/WEB-INF
    %{__rm} -r output/build/webapps/docs/appdev/sample/*
    #JBPAPP-3659
    #JBPAPP-9557
    %{__rm} -r output/build/webapps/docs/tribes

	# ZIPS
    # make modification in the zip
    %if %with zips
	 echo Zips
    %{__mkdir_p} tmp
    pushd tmp
    # add jsvc.tar.gz to src.zip
    unzip -q ../output/release/v%{version}/src/apache-tomcat-%{version}-src.zip

# rename commons-daemon-eap6 to commons-daemon. it causes problems for downstream
# builds
    cp $(build-classpath commons-daemon-eap6) apache-tomcat-%{version}-src/commons-daemon.jar
# COLLECTIONS
    cp $(build-classpath commons-collections-eap6) apache-tomcat-%{version}-src/commons-collections-eap6.jar
    cp $(build-classpath commons-pool-eap6) apache-tomcat-%{version}-src/commons-pool-eap6.jar
    cp $(build-classpath commons-dbcp-eap6) apache-tomcat-%{version}-src/commons-dbcp-eap6.jar
    cp $(build-classpath commons-logging-api) apache-tomcat-%{version}-src/commons-logging-api-eap6.jar
    cp $(build-classpath commons-logging-adapters) apache-tomcat-%{version}-src/commons-logging-adapters-eap6.jar
    rm ../output/release/v%{version}/src/apache-tomcat-%{version}-src.zip
#JBPAPP-3654 Last chance to get rid of any junk
    find apache-tomcat-%{version}-src -name "*.orig" | xargs -t %{__rm} -f
    zip -q -r ../output/release/v%{version}/src/apache-tomcat-%{version}-src.zip \
       apache-tomcat-%{version}-src
    mkdir -p apache-tomcat-%{version}/res/maven
    %{__cp} ../res/maven/*.pom apache-tomcat-%{version}/res/maven/
    zip -q -r ../output/release/v%{version}/bin/apache-tomcat-%{version}-maven-devel.zip apache-tomcat-%{version}/res/maven/*.pom
 



    rm -fr *

    # binary Zip
    unzip -q ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip
    #create zip for QE to run examples
    zip -q -r ../output/release/v%{version}/bin/apache-tomcat-%{version}-examples.zip \
         apache-tomcat-%{version}/webapps/examples/servlets/* apache-tomcat-%{version}/webapps/examples/jsp/* \
         apache-tomcat-%{version}/webapps/examples/WEB-INF apache-tomcat-%{version}/webapps/docs/appdev/sample/*

    # EWS does not ship with tribes
    %{__rm} -r apache-tomcat-%{version}/webapps/docs/tribes
    # Removed viz CVE-2007-1355
    %{__rm} -r apache-tomcat-%{version}/webapps/examples/servlets/*
    %{__rm} -r apache-tomcat-%{version}/webapps/examples/jsp/*
    %{__rm} -r apache-tomcat-%{version}/webapps/examples/WEB-INF
    %{__rm} -r apache-tomcat-%{version}/webapps/docs/appdev/sample/*
    %{__rm} -r apache-tomcat-%{version}/lib/catalina-ha.jar

    cp -pr %{SOURCE15} apache-tomcat-%{version}/webapps/examples/servlets/index.html
    cp -pr %{SOURCE15}  apache-tomcat-%{version}/webapps/examples/jsp/index.html
    cp -pr %{SOURCE15}  apache-tomcat-%{version}/webapps/docs/appdev/sample/index.html
    chmod 755 apache-tomcat-%{version}/bin/*sh
    sed -i -e 's/\"$_RUNJAVA\"/$_RUNJAVA/g' apache-tomcat-%{version}/bin/catalina.sh \
       apache-tomcat-%{version}/bin/tool-wrapper.sh
    %{__mkdir_p} apache-tomcat-%{version}/extras

    # On RHEL-6 the signed JARs are on a different place
#    export JPP_SIGNED=2

	# Replace stock libs with ews libs. Make the rpms and zips symetrical
    echo Zips:Replace stock libs with ews libs
    (cd apache-tomcat-%{version}/extras; %{__ln_s} `build-classpath log4j` .;
        %{__cp} %{SOURCE9} log4j.properties ;)
    %{__cp} -pr ../output/extras/tomcat-juli*.jar apache-tomcat-%{version}/extras/

    # Copy the EWS2 libs
    %{__cp} -p $(build-classpath commons-daemon-eap6) apache-tomcat-%{version}/bin/commons-daemon.jar
# COLLECTIONS
    %{__cp} -p $(build-classpath commons-collections-eap6) apache-tomcat-%{version}/lib/commons-collections-eap6.jar
    %{__cp} -p $(build-classpath commons-dbcp-eap6) apache-tomcat-%{version}/lib/commons-dbcp-eap6.jar
    %{__cp} -p $(build-classpath commons-pool-eap6) apache-tomcat-%{version}/lib/commons-pool-eap6.jar
    %{__cp} -p $(build-classpath commons-logging-adapters) apache-tomcat-%{version}/lib/commons-logging-adapters-eap6.jar
    %{__cp} -p $(build-classpath commons-logging-api) apache-tomcat-%{version}/lib/commons-logging-api-eap6.jar
	# Replace the existing jdt jar with ecj
    %{__cp} -p $(build-classpath ecj3) apache-tomcat-%{version}/lib/jasper-jdt.jar

    %{__rm} ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip

    #Currently turned off
#    %if %with_signing
#      cp %{SOURCE99} .
#      ./sign-unsigned-jars jbosscodesign2009 .
#      %{__rm} sign-unsigned-jars
#    %endif

#JBPAPP-3654 Last chance to get rid of any junk
	 find apache-tomcat-%{version} -name "*.orig" | xargs -t %{__rm} -f
    zip -q -r ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip apache-tomcat-%{version}/
    %{__rm} -fr apache-tomcat-%{version}/extras
    popd
    %{__rm} -fr tmp
	 echo End Zips
    %endif

%install
echo Install Phase
%{__rm} -rf $RPM_BUILD_ROOT
# build initial path structure
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sbindir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_initrddir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{appdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{bindir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}/Catalina/localhost
# for SELinux
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{libdir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{libdir}/extras
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{logdir}
/bin/touch ${RPM_BUILD_ROOT}%{logdir}/catalina.out
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{homedir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{tempdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{workdir}

# move things into place
echo Install:Copy things into place

# For SELinux
#echo "SELinux Policy Build"
#%{__mkdir_p} tmp/selinux
#pushd tmp/selinux
#%{__cp} -p %{SOURCE11} %{name}.te
#%{__cp} -p %{SOURCE12} %{name}.if
#%{__cp} -p %{SOURCE13} %{name}.fc
# rhbz 979423
#make -f %{_datadir}/selinux/devel/Makefile
#%{__install} -p -m 0644 -D tomcat7.pp ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.pp

%{__install} -p -m 0644 -D %{SOURCE11} ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.te
%{__install} -p -m 0644 -D %{SOURCE12} ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.if
%{__install} -p -m 0644 -D %{SOURCE13}  ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.fc

#popd
# clean up
# %{__rm} -rf tmp/selinux

pushd %{packdname}/output/build
    %{__cp} -a bin/*.{jar,xml} ${RPM_BUILD_ROOT}%{bindir}
    %{__cp} -a conf/*.{policy,properties,xml} ${RPM_BUILD_ROOT}%{confdir}
    %{__cp} -a lib/*.jar ${RPM_BUILD_ROOT}%{libdir}
    # XXX: install maven central names for jars
    %{__ln_s} annotations-api.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-annotations-api.jar
    %{__ln_s} catalina.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-catalina.jar
    %{__ln_s} catalina-ant.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-catalina-ant.jar
    %{__ln_s} jasper.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-jasper.jar
    %{__ln_s} jasper-el.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-jasper-el.jar
    %{__ln_s} el-api.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-el-api.jar
    %{__ln_s} jsp-api.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-jsp-api.jar
    %{__ln_s} servlet-api.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-servlet-api.jar
    %{__ln_s} websocket-api.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-websocket-api.jar
    %{__ln_s} tomcat7-websocket.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-tomcat7-websocket.jar
    %{__cp} -a ../extras/*.jar ${RPM_BUILD_ROOT}%{libdir}/extras
    %{__cp} -a webapps/* ${RPM_BUILD_ROOT}%{appdir}

    cp -p %{SOURCE15} $RPM_BUILD_ROOT%{appdir}/examples/servlets/index.html
    cp -p %{SOURCE15} $RPM_BUILD_ROOT%{appdir}/examples/jsp/index.html
    cp -p %{SOURCE15} $RPM_BUILD_ROOT%{appdir}/docs/appdev/sample/index.html
popd
# On RHEL-6 the signed JARs are on a different place
#export JPP_SIGNED=2
%if %with ws
# ws
%{__cp} -p %{packdname}/output/extras/catalina-ws.jar ${RPM_BUILD_ROOT}%{libdir}/catalina-ws.jar
%{__ln_s} $(build-classpath axis/jaxrpc) ${RPM_BUILD_ROOT}%{libdir}/jaxrpc.jar
%{__ln_s} $(build-classpath wsdl4j/wsdl4j16) ${RPM_BUILD_ROOT}%{libdir}/wsdl4j.jar
%endif
# juli

%{__cp} -p $(build-classpath commons-daemon-eap6) ${RPM_BUILD_ROOT}%{bindir}/commons-daemon.jar

# Copy log4j.jar because it is in base Linux
%{__cp} -p $(build-classpath log4j) ${RPM_BUILD_ROOT}%{libdir}/log4j.jar
%{__cp} -p %{SOURCE9} ${RPM_BUILD_ROOT}%{confdir}/log4j.properties
(cd ${RPM_BUILD_ROOT}%{libdir} && %{__ln_s} %{confdir}/log4j.properties log4j.properties)

# javadoc
pushd %{packdname}/output/dist/webapps
    %{__cp} -a docs/api/* ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
popd
#JBPAPP-3659
%{__rm} -rf ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}/org/apache/catalina/tribes
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE1} \
    > ${RPM_BUILD_ROOT}%{confdir}/%{name}.conf
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE3} \
    > ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}
%{__install} -m 0755 %{SOURCE2} \
    ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0755 %{SOURCE4} \
    ${RPM_BUILD_ROOT}%{_sbindir}/%{name}
%{__ln_s} %{name} ${RPM_BUILD_ROOT}%{_sbindir}/d%{name}
%{__sed} -e "s|\@\@\@TCLOG\@\@\@|%{logdir}|g" %{SOURCE5} \
    > ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE6} \
    > ${RPM_BUILD_ROOT}%{_bindir}/%{name}-digest
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE7} \
    > ${RPM_BUILD_ROOT}%{_bindir}/%{name}-tool-wrapper

pushd ${RPM_BUILD_ROOT}%{libdir}
    # fix up jars to include version number
    for i in *.jar; do
        j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
        %{__ln_s} ${j}.jar ${j}-%{version}.jar 
    done
    # copy to avoid broken symlinks.
    # commons-logging-api
# COLLECTIONS
    %{__cp} -p $(build-classpath commons-dbcp-eap6) commons-dbcp-eap6.jar
    %{__cp} -p $(build-classpath commons-pool-eap6) commons-pool-eap6.jar
    %{__cp} -p $(build-classpath commons-collections-eap6) commons-collections-eap6.jar
    %{__cp} -p $(build-classpath ecj3) jasper-jdt.jar
# copy log4j.jar over as it is in base
    %{__cp} $(build-classpath commons-logging-api) commons-logging-api-eap6.jar
    %{__cp} -p $(build-classpath commons-logging-adapters) commons-logging-adapters-eap6.jar
    %{__cp} -p $(build-classpath log4j) .
    pushd extras
        for i in *.jar; do
            j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
            %{__ln_s} ${j}.jar ${j}-%{version}.jar 
        done
    popd

popd

pushd ${RPM_BUILD_ROOT}%{_javadir}
    # symlink to maven components
    echo "Link maven components"
#tomcat-jsp-api
    %{__ln_s} %{name}/jsp-api-%{version}.jar \
        %{name}-jsp-%{jspspec}-api-%{version}.jar
# tomcat-servlet-api
    %{__ln_s} %{name}/servlet-api-%{version}.jar \
        %{name}-servlet-%{servletspec}-api-%{version}.jar
# tomcat-el-api
    %{__ln_s} %{name}/el-api-%{version}.jar \
        %{name}-el-%{elspec}-api-%{version}.jar

# extra links to satisfy what's defined for rpms
    %{__ln_s} %{name}-jsp-%{jspspec}-api-%{version}.jar %{name}-jsp-%{jspspec}-api.jar
    %{__ln_s} %{name}-servlet-%{servletspec}-api-%{version}.jar %{name}-servlet-%{servletspec}-api.jar
    %{__ln_s} %{name}-el-%{elspec}-api-%{version}.jar %{name}-el-%{elspec}-api.jar

# tomcat-juli-extras
%{__ln_s} %{name}/extras/tomcat-juli-%{version}.jar \
        %{name}-tomcat-juli-extras-%{version}.jar
# tomcat-juli-adapters-extras
%{__ln_s} %{name}/extras/tomcat-juli-adapters-%{version}.jar \
       %{name}-tomcat-juli-adapters-extras-%{version}.jar    
# tomcat-catalina
    %{__ln_s} %{name}/tomcat-catalina-%{version}.jar \
        %{name}-catalina-%{version}.jar
# tomcat-coyote
    %{__ln_s} %{name}/tomcat-coyote-%{version}.jar \
        %{name}-tomcat-coyote-%{version}.jar
# tomcat-jasper-el
    %{__ln_s} %{name}/jasper-el-%{version}.jar \
        %{name}-jasper-el-%{version}.jar
# tomcat-jasper
    %{__ln_s} %{name}/jasper-%{version}.jar \
        %{name}-jasper-%{version}.jar
# tomcat-juli
    %{__ln_s} %{bindir}/tomcat-juli-%{version}.jar \
        %{name}-tomcat-juli-%{version}.jar
# tomcat-annotations-api
    %{__ln_s} %{name}/annotations-api-%{version}.jar \
        %{name}-annotations-api-%{version}.jar
# tomcat-cataina-ant
    %{__ln_s} %{name}/catalina-ant-%{version}.jar \
        %{name}-catalina-ant-%{version}.jar
# tomcat-jdbc
    %{__ln_s} %{name}/tomcat-jdbc-%{version}.jar \
        %{name}-tomcat-jdbc-%{version}.jar
# tomcat-api
    %{__ln_s} %{name}/tomcat-api-%{version}.jar \
        %{name}-tomcat-api-%{version}.jar
# tomcat-i18n-fr
    %{__ln_s} %{name}/tomcat-i18n-fr-%{version}.jar \
        %{name}-tomcat-i18n-fr-%{version}.jar
# tomcat-i18n-es
    %{__ln_s} %{name}/tomcat-i18n-es-%{version}.jar \
        %{name}-tomcat-i18n-es-%{version}.jar
# tomcat-i18n-ja
    %{__ln_s} %{name}/tomcat-i18n-ja-%{version}.jar \
        %{name}-tomcat-i18n-ja-%{version}.jar
# tomcat-util
    %{__ln_s} %{name}/tomcat-util-%{version}.jar \
        %{name}-tomcat-util-%{version}.jar
# websocket-api
    %{__ln_s} %{name}/tomcat-websocket-api-%{version}.jar \
        %{name}-tomcat-websocket-api-%{version}.jar
# tomcat7-websocket
    %{__ln_s} %{name}/tomcat-tomcat7-websocket-%{version}.jar \
        %{name}-tomcat-tomcat7-websocket-%{version}.jar

# links set up by  update-alternatives
    /bin/touch el_%{elspecalt}_api.jar
    /bin/touch el-api.jar
    /bin/touch jsp-api.jar
    /bin/touch servlet-api.jar
popd

pushd ${RPM_BUILD_ROOT}%{bindir}
    # fix up jars to include version number
    for i in *.jar; do
        j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
		  ls -l ${j}.jar
        %{__mv} ${j}.jar ${j}-%{version}.jar
        %{__ln_s} ${j}-%{version}.jar ${j}.jar
    done
popd
# symlink to the FHS locations where we've installed things
pushd ${RPM_BUILD_ROOT}%{homedir}
    %{__ln_s} %{appdir} webapps
    %{__ln_s} %{confdir} conf
    %{__ln_s} %{libdir} lib
    %{__ln_s} %{logdir} logs
    %{__ln_s} %{tempdir} temp
    %{__ln_s} %{workdir} work
popd

# install sample webapp
#%{__mkdir_p} ${RPM_BUILD_ROOT}%{appdir}/sample
#CURDIR="`pwd`"
#pushd ${RPM_BUILD_ROOT}%{appdir}/sample
#%{jar} xf "${CURDIR}/%{packdname}/output/build/webapps/docs/appdev/sample/sample.war"
#popd

%{__mkdir_p} %{buildroot}%{_mavenpomdir}

# coyote
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-coyote.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-coyote.pom
%add_to_maven_depmap org.apache.tomcat tomcat-coyote %{version} JPP/%{name} tomcat-coyote
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-coyote
# catalina
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-catalina.pom \
       %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-catalina.pom
%add_to_maven_depmap org.apache.tomcat tomcat-catalina %{version} JPP/%{name} tomcat-catalina
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-catalina
# el-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-el-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-el-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-el-api %{version} JPP/%{name} tomczt-el-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-el-api

# jasper-el
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-jasper-el.pom \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-jasper-el.pom
%add_to_maven_depmap org.apache.tomcat tomcat-jasper-el %{version} JPP/%{name} tomcat-jasper-el
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-jasper-el

# jasper
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-jasper.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-jasper.pom
%add_to_maven_depmap org.apache.tomcat tomcat-jasper %{version} JPP/%{name} tomcat-jasper
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-jasper

# jsp-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-jsp-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-jsp-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-jsp-api %{version} JPP/%{name} tomcat-jsp-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-jsp-api

# servlet-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-servlet-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-servlet-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-servlet-api %{version} JPP/%{name} tomcat-servlet-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-servlet-api

# juli
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-juli.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-juli.pom
%add_to_maven_depmap org.apache.tomcat tomcat-juli %{version} JPP/%{name} tomcat-juli
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-juli

# annotations api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-annotations-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-annotations-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-annotations-api %{version} JPP/%{name} tomcat-annotations-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-annotations-api

# catalina-ant
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-catalina-ant.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-catalina-ant.pom
%add_to_maven_depmap org.apache.tomcat tomcat-catalina-ant %{version} JPP/%{name} tomcat-catalina-ant
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-catalina-ant

# tomcat-i18n-fr
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-i18n-fr.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-fr.pom
%add_to_maven_depmap org.apache.tomcat tomcat-i18n-fr  %{version} JPP/%{name} tomcat-i18n-fr
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-i18n-fr

# tomcat-i18n-es
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-i18n-es.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-es.pom
%add_to_maven_depmap org.apache.tomcat tomcat-i18n-es  %{version} JPP/%{name} tomcat-i18n-es
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-i18n-es

# tomcat-i18n-es
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-i18n-ja.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-ja.pom
%add_to_maven_depmap org.apache.tomcat tomcat-i18n-ja  %{version} JPP/%{name} tomcat-i18n-ja
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-i18n-ja

# tomcat-jdbc
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-jdbc.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-jdbc.pom
%add_to_maven_depmap org.apache.tomcat tomcat-jdbc  %{version} JPP/%{name} tomcat-jdbc
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-jdbc

# tomcat-util
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-util.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-util.pom
%add_to_maven_depmap org.apache.tomcat tomcat-util %{version} JPP/%{name} tomcat-util
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-util

# tomcat-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-api %{version} JPP/%{name} tomcat-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-api

# tomcat-extras-juli-adapters
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-extras-juli-adapters.pom \
       %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-extras-juli-adapters.pom
%add_to_maven_depmap org.apache.tomcat tomcat-extras-juli-adpaters %{version}JPP/%{name} tomcat-extras-juli-adapters
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-extras-juli-adapters

# tomcat-extras-juli
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-extras-juli.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-extras-juli.pom
%add_to_maven_depmap org.apache.tomcat tomcat-extras-juli%{version}JPP/%{name} tomcat-extras-juli
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-extras-juli

# tomcat-websocket-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-websocket-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-websocket-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-websocket-api%{version}JPP/%{name} tomcat-websocket-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-websocket-api

# tomcat-tomcat7-websocket.jar
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat7-websocket.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat7-websocket.pom
%add_to_maven_depmap org.apache.tomcat tomcat7-websocket%{version}JPP/%{name} tomcat7-websocket
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat7-websocket

%if %with zips
echo Zips
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev
# Copy over source zip for the src-zip subpackage
%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/src/apache-tomcat-%{version}-src.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat7-%{version}-src.zip
# Copy over zip for the zip subpackage
%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/bin/apache-tomcat-%{version}-examples.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat7-%{version}-examples.zip
%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/bin/apache-tomcat-%{version}.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat7-%{version}.zip
%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/bin/apache-tomcat-%{version}-maven-devel.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat7-%{version}-maven-devel.zip
echo End Zips
%endif

%if %with repolib
   echo RepoLib
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -p -m 0644 %{SOURCE10} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	sed -i 's/@VERSION@/%{version}-brew/g' $RPM_BUILD_ROOT%{repodir}/component-info.xml
    tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
    sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml

	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{repodirsrc}
#	install -p -m 0644 %{SOURCE8} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE9} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE11} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE12} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE13} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE14} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE13} $RPM_BUILD_ROOT%{repodirsrc}


	install -p -m 0644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH2} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH3} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH4} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH5} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH6} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH7} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH8} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH9} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH10} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH11} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH12} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH13} $RPM_BUILD_ROOT%{repodirsrc}


    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/catalina.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-catalina.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-coyote.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-coyote.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/el-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-el-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/jasper-el.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-jasper-el.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/jasper.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-jasper.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/jsp-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-jsp-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/servlet-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-servlet-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/bin/tomcat-juli.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-juli.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/annotations-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-annotations-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/catalina-ant.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-catalina-ant.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-jdbc.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-jdbc.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-i18n-fr.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-i18n-es.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-i18n-es.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-i18n-ja.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-i18n-ja.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-util.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-util.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/websocket-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-websocket-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat7-websocket.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat7-websocket.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/extras/tomcat-juli-adapters.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-extras-juli-adapters.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/extras/tomcat-juli.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-extras-juli.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew

echo End RepoLib
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
# add the tomcat user and group
%{_sbindir}/groupadd -g %{tcuid} -r tomcat 2>/dev/null || :
%{_sbindir}/useradd -c "Apache Tomcat" -u %{tcuid} -g tomcat \
    -s /sbin/nologin -r -d %{homedir} tomcat 2>/dev/null || :

%post
# install but don't activate
# For SELinux
/sbin/chkconfig --add %{name}

%post lib
%update_maven_depmap

%postun lib
%update_maven_depmap

%post el-%{elspec}-api
%{_sbindir}/update-alternatives --install %{_javadir}/el-api.jar el-api %{_javadir}/%{name}-el-%{elspec}-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/el_%{elspecalt}_api.jar el_%{elspecalt}_api %{_javadir}/%{name}-el-%{elspec}-api.jar 10000
%update_maven_depmap

%preun el-%{elspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove el-api %{_javadir}/%{name}-el-%{elspec}-api.jar
    %{_sbindir}/update-alternatives --remove el_%{elspecalt}_api %{_javadir}/%{name}-el-%{elspec}-api.jar
fi

%postun el-%{elspec}-api
%update_maven_depmap

%pre javadoc
%{__rm} -rf %{_javadocdir}/%{name}

%post jsp-%{jspspec}-api
%{_sbindir}/update-alternatives --install %{_javadir}/jsp-api.jar jsp \
    %{_javadir}/%{name}-jsp-%{jspspec}-api.jar 20100
%update_maven_depmap

%postun jsp-%{jspspec}-api
%update_maven_depmap

%post servlet-%{servletspec}-api
%{_sbindir}/update-alternatives --install %{_javadir}/servlet-api.jar servlet \
    %{_javadir}/%{name}-servlet-%{servletspec}-api.jar 20500
%update_maven_depmap

%postun servlet-%{servletspec}-api
%update_maven_depmap

%preun
# clean tempdir and workdir on removal or upgrade
%{__rm} -rf %{workdir}/* %{tempdir}/*
if [ "$1" = "0" ]; then
    %{_initrddir}/%{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi

%preun jsp-%{jspspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jsp \
        %{_javadir}/%{name}-jsp-%{jspspec}-api.jar
fi

%preun servlet-%{servletspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove servlet \
        %{_javadir}/%{name}-servlet-%{servletspec}-api.jar
fi

%files
%defattr(0664,root,root,0775)
%doc %{packdname}/{LICENSE,NOTICE,RELEASE-NOTES,*.txt}
%attr(0755,root,root) %{_bindir}/%{name}-digest
%attr(0755,root,root) %{_bindir}/%{name}-tool-wrapper
%attr(0755,root,root) %{_sbindir}/d%{name}
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0775,root,tomcat) %dir %{basedir}
%attr(0775,root,tomcat) %dir %{homedir}
%attr(0775,tomcat,root) %dir %{appdir}
%attr(0775,tomcat,root) %dir %{confdir}
%attr(0775,tomcat,root) %dir %{confdir}/Catalina
%attr(0775,tomcat,root) %dir %{confdir}/Catalina/localhost
# for SELinux
%attr(0664,tomcat,root) %dir %{confdir}/selinux
%attr(0664,tomcat,root) %dir %{confdir}/selinux/packages
%attr(0664,tomcat,root) %dir %{confdir}/selinux/packages/%{name}
# rhbz 979423
# %attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.pp
%attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.if
%attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.te
%attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.fc

%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/%{name}.conf
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/catalina.policy
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/catalina.properties
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/logging.properties
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/context.xml
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/server.xml
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/tomcat-users.xml
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/web.xml
%attr(0775,tomcat,root) %dir %{cachedir}
%attr(0775,tomcat,root) %dir %{tempdir}
%attr(0775,tomcat,root) %dir %{workdir}
%attr(0755,tomcat,root) %dir %{logdir}
%attr(0664,tomcat,tomcat) %{logdir}/catalina.out
%attr(0775,root,tomcat) %{homedir}/conf
%{bindir}/bootstrap-%{version}.jar
%{bindir}/bootstrap.jar
%{bindir}/catalina-tasks.xml
%{bindir}/commons-daemon.jar
%{bindir}/commons-daemon-%{version}.jar
%{bindir}/tomcat-juli-%{version}.jar
%{bindir}/tomcat-juli.jar
%{_javadir}/%{name}-tomcat-juli-%{version}.jar
%{_mavendepmapfragdir}/%{name}-tomcat-juli
%{_mavenpomdir}/JPP.%{name}-tomcat-juli.pom
%{homedir}/lib
%{homedir}/logs
%{homedir}/temp
%{homedir}/webapps
%{homedir}/work

%files admin-webapps
%defattr(0644,root,root,0755)
%{appdir}/host-manager
%{appdir}/manager

%if %with ws
%files ws
%defattr(0644,root,root,0755)
%{libdir}/catalina-ws-%{version}.jar
%{libdir}/catalina-ws.jar
%{libdir}/jaxrpc-%{version}.jar
%{libdir}/jaxrpc.jar
%{libdir}/wsdl4j-%{version}.jar
%{libdir}/wsdl4j.jar
%endif

%files docs-webapp
%defattr(0644,root,root,0755)
%{appdir}/docs

%files maven-devel
%defattr(0644,root,root,0555)
%{_mavenpomdir}/JPP.%{name}-tomcat-el-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat-el-api
%{_mavenpomdir}/JPP.%{name}-tomcat-jsp-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat-jsp-api
%{_mavenpomdir}/JPP.%{name}-tomcat-servlet-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat-servlet-api
%{_mavendepmapfragdir}/%{name}-tomcat-coyote
%{_mavenpomdir}/JPP.%{name}-tomcat-coyote.pom
%{_mavendepmapfragdir}/%{name}-tomcat-catalina
%{_mavenpomdir}/JPP.%{name}-tomcat-catalina.pom
%{_mavendepmapfragdir}/%{name}-tomcat-jasper-el
%{_mavenpomdir}/JPP.%{name}-tomcat-jasper-el.pom
%{_mavendepmapfragdir}/%{name}-tomcat-jasper
%{_mavenpomdir}/JPP.%{name}-tomcat-jasper.pom
%{_mavendepmapfragdir}/%{name}-tomcat-annotations-api
%{_mavenpomdir}/JPP.%{name}-tomcat-annotations-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat-catalina-ant
%{_mavenpomdir}/JPP.%{name}-tomcat-catalina-ant.pom
%{_mavendepmapfragdir}/%{name}-tomcat-i18n-fr
%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-fr.pom
%{_mavendepmapfragdir}/%{name}-tomcat-i18n-es
%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-es.pom
%{_mavendepmapfragdir}/%{name}-tomcat-i18n-ja
%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-ja.pom
%{_mavendepmapfragdir}/%{name}-tomcat-util
%{_mavenpomdir}/JPP.%{name}-tomcat-util.pom
%{_mavendepmapfragdir}/%{name}-tomcat-api
%{_mavenpomdir}/JPP.%{name}-tomcat-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat-jdbc
%{_mavenpomdir}/JPP.%{name}-tomcat-jdbc.pom
%{_mavendepmapfragdir}/%{name}-tomcat-extras-juli
%{_mavenpomdir}/JPP.%{name}-tomcat-extras-juli.pom
%{_mavendepmapfragdir}/%{name}-tomcat-extras-juli-adapters
%{_mavenpomdir}/JPP.%{name}-tomcat-extras-juli-adapters.pom
%{_mavendepmapfragdir}/%{name}-tomcat-websocket-api
%{_mavenpomdir}/JPP.%{name}-tomcat-websocket-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat7-websocket                 
%{_mavenpomdir}/JPP.%{name}-tomcat7-websocket.pom                
# needed artifacts. some tomcat artifacts won't                  
# appear here because they are already prefixed                  
# with 'tomcat-'. JPP maven naming conventions                   
# requires a 'tomcat-' prefix. the only artifacts that           
# are in the list are the tomcat artifacts                       
# that are not prefixed with 'tomcat-'.                          
%{libdir}/tomcat-annotations-api.jar                             
%{libdir}/tomcat-annotations-api-%{version}.jar                  
%{libdir}/tomcat-catalina.jar                                    
%{libdir}/tomcat-catalina-%{version}.jar                         
%{libdir}/tomcat-catalina-ant.jar                                
%{libdir}/tomcat-catalina-ant-%{version}.jar                     
%{libdir}/tomcat-websocket-api.jar                               
%{libdir}/tomcat-websocket-api-%{version}.jar                    
%{libdir}/tomcat-tomcat7-websocket.jar                           
%{libdir}/tomcat-tomcat7-websocket-%{version}.jar                
%{libdir}/tomcat-jasper.jar                                      
%{libdir}/tomcat-jasper-%{version}.jar                           
%{libdir}/tomcat-jasper-el.jar                                   
%{libdir}/tomcat-jasper-el-%{version}.jar                        
%{libdir}/tomcat-el-api.jar                                      
%{libdir}/tomcat-el-api-%{version}.jar                           
%{libdir}/tomcat-jsp-api.jar                                     
%{libdir}/tomcat-jsp-api-%{version}.jar                          
%{libdir}/tomcat-servlet-api.jar                                 
%{libdir}/tomcat-servlet-api-%{version}.jar

%files el-%{elspec}-api
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-el-%{elspec}-api-%{version}.jar
%{_javadir}/%{name}-el-%{elspec}-api.jar
%{libdir}/el-api.jar
%{libdir}/el-api-%{version}.jar
%{libdir}/tomcat-el-api.jar
%{libdir}/tomcat-el-api-%{version}.jar
%ghost %{_javadir}*/el_%{elspecalt}_api.jar
%ghost %{_javadir}*/el-api.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files jsp-%{jspspec}-api
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-jsp-%{jspspec}-api-%{version}.jar
%{_javadir}/%{name}-jsp-%{jspspec}-api.jar
%{libdir}/jsp-api.jar
%{libdir}/jsp-api-%{version}.jar
%{libdir}/tomcat-jsp-api.jar
%{libdir}/tomcat-jsp-api-%{version}.jar
%ghost %{_javadir}*/jsp-api.jar

%files log4j
%defattr(0644,root,root,0755)
%config(noreplace) %{confdir}/log4j.properties
%{libdir}/log4j.properties
%{libdir}/log4j-%{version}.jar
%{libdir}/log4j.jar

%files lib
%defattr(0644,root,root,0755)
%dir %{libdir}
%{libdir}/annotations-api.jar
%{libdir}/annotations-api-%{version}.jar
%{libdir}/tomcat-annotations-api.jar
%{libdir}/tomcat-annotations-api-%{version}.jar
%{_javadir}/%{name}-annotations-api-%{version}.jar
%{libdir}/catalina.jar
%{libdir}/catalina-%{version}.jar
%{libdir}/tomcat-catalina.jar
%{libdir}/tomcat-catalina-%{version}.jar
%{_javadir}/%{name}-catalina-%{version}.jar
%{libdir}/catalina-ant.jar
%{libdir}/catalina-ant-%{version}.jar
%{libdir}/tomcat-catalina-ant.jar
%{libdir}/tomcat-catalina-ant-%{version}.jar
%{_javadir}/%{name}-catalina-ant-%{version}.jar
%{libdir}/commons-collections-eap6.jar
%{libdir}/commons-dbcp-eap6.jar
%{libdir}/commons-pool-eap6.jar
%{libdir}/tomcat-jdbc.jar
%{libdir}/tomcat-jdbc-%{version}.jar
%{_javadir}/%{name}-tomcat-jdbc-%{version}.jar
%{libdir}/tomcat-util.jar
%{libdir}/tomcat-util-%{version}.jar
%{_javadir}/%{name}-tomcat-util-%{version}.jar
%{libdir}/tomcat-api.jar
%{libdir}/tomcat-api-%{version}.jar
%{_javadir}/%{name}-tomcat-api-%{version}.jar
# not in maven components
%{libdir}/jasper-jdt.jar
%{libdir}/jasper.jar
%{libdir}/jasper-%{version}.jar
%{libdir}/tomcat-jasper.jar
%{libdir}/tomcat-jasper-%{version}.jar
%{_javadir}/%{name}-jasper-%{version}.jar
%{libdir}/jasper-el.jar
%{libdir}/jasper-el-%{version}.jar
%{libdir}/tomcat-jasper-el.jar
%{libdir}/tomcat-jasper-el-%{version}.jar
%{_javadir}/%{name}-jasper-el-%{version}.jar
%{libdir}/tomcat-coyote.jar
%{libdir}/tomcat-coyote-%{version}.jar
%{_javadir}/%{name}-tomcat-coyote-%{version}.jar
%{libdir}/tomcat-i18n-es.jar
%{libdir}/tomcat-i18n-es-%{version}.jar
%{_javadir}/%{name}-tomcat-i18n-es-%{version}.jar
%{libdir}/tomcat-i18n-fr.jar
%{libdir}/tomcat-i18n-fr-%{version}.jar
%{_javadir}/%{name}-tomcat-i18n-fr-%{version}.jar
%{libdir}/tomcat-i18n-ja.jar
%{libdir}/tomcat-i18n-ja-%{version}.jar
%{_javadir}/%{name}-tomcat-i18n-ja-%{version}.jar

%{libdir}/websocket-api.jar
%{libdir}/websocket-api-%{version}.jar
%{libdir}/tomcat-websocket-api.jar
%{libdir}/tomcat-websocket-api-%{version}.jar
%{_javadir}/%{name}-tomcat-websocket-api-%{version}.jar

%{libdir}/tomcat7-websocket.jar
%{libdir}/tomcat7-websocket-%{version}.jar
%{libdir}/tomcat-tomcat7-websocket.jar
%{libdir}/tomcat-tomcat7-websocket-%{version}.jar
%{_javadir}/%{name}-tomcat-tomcat7-websocket-%{version}.jar

%{libdir}/commons-logging-api-eap6.jar
%{libdir}/commons-logging-adapters-eap6.jar
%{libdir}/extras/tomcat-juli-adapters.jar
%{libdir}/extras/tomcat-juli-adapters-%{version}.jar
%{libdir}/extras/tomcat-juli.jar
%{libdir}/extras/tomcat-juli-%{version}.jar
# maven components in javadir                                 
%{_javadir}/%{name}-annotations-api-%{version}.jar            
%{_javadir}/%{name}-catalina-%{version}.jar                   
%{_javadir}/%{name}-catalina-ant-%{version}.jar               
%{_javadir}/%{name}-jasper-%{version}.jar                     
%{_javadir}/%{name}-jasper-el-%{version}.jar                  
%{_javadir}/%{name}-tomcat-coyote-%{version}.jar              
%{_javadir}/%{name}-tomcat-i18n-es-%{version}.jar             
%{_javadir}/%{name}-tomcat-i18n-fr-%{version}.jar             
%{_javadir}/%{name}-tomcat-i18n-ja-%{version}.jar             
%{_javadir}/%{name}-tomcat-juli-%{version}.jar                
%{_javadir}/%{name}-tomcat-juli-adapters-extras-%{version}.jar
%{_javadir}/%{name}-tomcat-juli-extras-%{version}.jar 

%files servlet-%{servletspec}-api
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-servlet-%{servletspec}-api-%{version}.jar
%{_javadir}/%{name}-servlet-%{servletspec}-api.jar
%{libdir}/servlet-api.jar
%{libdir}/servlet-api-%{version}.jar
%{libdir}/tomcat-servlet-api.jar
%{libdir}/tomcat-servlet-api-%{version}.jar
%ghost %{_javadir}/servlet-api.jar

%files webapps
%defattr(0664,tomcat,root,0775)
%attr(0775,tomcat,root) %{appdir}/ROOT
%attr(0775,tomcat,root) %{appdir}/examples
#%attr(0775,tomcat,root) %{appdir}/sample

%if %with zips
%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}*/jbossas-fordev
%{_javadir}*/jbossas-fordev/tomcat7-%{version}.zip
%{_javadir}*/jbossas-fordev/tomcat7-%{version}-examples.zip
%{_javadir}*/jbossas-fordev/tomcat7-%{version}-maven-devel.zip

%files src-zip
%defattr(0644,root,root,0755)
%dir %{_javadir}*/jbossas-fordev
%{_javadir}*/jbossas-fordev/tomcat7-%{version}-src.zip
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Mon Jun 19 2015 David Knox <dknox@redhat.com> 0:7.0.54-12_patch_02
- Resolves: rhbz 1182618 NoSuchElementException for attribute with 
- empty string in custom tag

* Mon Dec 8 2014 David Knox <dknox@redhat.com> 0:7.0.54-11_patch_02
- incrementing release number

* Thu Nov 13 2014 David Knox <dknox@redhat.com> 0:7.0.54-10_patch_02
- Resolves: Add maven-devel zip to the zip rpm

* Wed Oct 1 2014 David Knox <dknox@redhat.com> 0:7.0.54-9_patch_02
- Resolves: 1146547 - Deliver tomcat-maven-devel for EWS 2.1.0

* Wed Jul 23 2014 David Knox <dknox@redhat.com> 0:7.0.54-6_patch_02
- Resolves: rhbz 110912 limited DoS in chunked transfer

* Tue Jul 22 2014 David Knox <dknox@redhat.com> 0:7.0.54-5_patch_01
- Resolves: rhbz 1121867 systemv 'version' not working."

* Wed Jul 2 2014 David Knox <dknox@redhat.com> 0:7.0.54-4_patch_01
- Resolves: rhbz 982787 syntax error in catalina.sh

* Thu Jun 12 2014 David Knox <dknox@redhat.com> 0:7.0.54-3_patch_01
- Corrected Epoch number for ecj to 1 versus 0

* Sat Jun 7 2014 David Knox <dknox@redhat.com> 0:7.0.54-2_patch_01
- Update to 5.0.54
- Corrected servlet jar name as installed by alternatives
- Added CompilerOptionsV8

* Sat Mar 15 2014 David Knox <dknox@redhat.com> 0:7.0.52-2_patch_01
- Corrected el_elspec_api name from the incorrect el-elspec_api

* Tue Feb 21 2014 David Knox <dknox@redhat.com> 0:7.0.52-1
- Resolves: 1054379 update to 7.0.52 to include CVE-2014-0055
- Regenerated 7.0.52-jbapp-6122-jon patch and 7.0.52-build-extras patch
- Related: rhbz 1000094 organize maven components into individual packages

* Fri Feb 7 2014 David Knox <dknox@redhat.com> 0:7.0.50-1_patch_01
- Resolves: rhbz 10543789 update to 7.0.50
- Resolves: rhbz 1060844 using java7
- Build target is now maven-2-eap-6-rhel-5-candidate
- Add Provides tomcat7-websockets
- Finish rhbz - add maven components 
- Remove xalan from the build classpath as it was causing the build to fail
- Conform name of commons-logging-* to commons-logging-*-eap6
- Update to commons-logging 1.1.3 matching build.properties.default

* Thu Nov 21 2013 David Walluck <dwalluck@redhat.com> 0:7.0.40-15.2_patch_01
- fix jar names for annotations-api catalina-ant jasper{,-el}
- fix jar names for {el,jsp,servlet}-api
- fix jar and pom names for tomcat-juli
- fix bad dir ownership in lib package
- fix missing maven requires and scripts
- fix requires for update-alternatives
- add missing requires on jpackage-utils in main package

* Thu Nov 21 2013 David Walluck <dwalluck@redhat.com> 0:7.0.40-15.1_patch_01
- add Provides to lib package
- fix version in maven poms
- fix content in maven depmaps
- add symlink from catalina.jar to tomcat-catalina.jar
- fix mvn-jpp deploy:deploy-file call
- fix build-classpath call

* Tue Oct 29 2013 David Knox <dknox@redhat.com> 0:7.0.40-15_patch_01
- Resolves: rhbz 979423 relabel SELinux after installation. The
- policy configuration is provided but is not installed.
- Resolves: rhbz 979002 differences in webapps zip versus rpms
- Resolves: refactored the text for cve-2007-1355 into a file
- so it can be sourced.

* Thu Oct 10 2013 David Knox <dknox@redhat.com> 0:7.0.40-10_patch_01
- Resolves: rhbz 979423 relabel SELinux after installation. The
- policy configuration is provided but is not installed.
- Resolves: rhbz 979002 differences in webapps zip versus rpms

* Wed Aug 27 2013 David Knox <dknox@redhat.com> 0:7.0.40-9_patch_01
- Resolves: rhbz 1000094 Add maven components

* Wed Aug 14 2013 David Knox <dknox@redhat.com> 0:7.0.40-8_patch_01
- Resolves: Missing links for extras added

* Fri Aug 9 2013 David Knox <dknox@redhat.com> 0:7.0.40-7_patch_01
- Resolves: Fixed missing links for extras jars. Removed commented
- BR for store-config

* Wed Jul 31 2013 David Knox <dknox@redhat.com> 0:7.0.40-6_patch_01
- Resolves: rhbz 901173 tomcat6 and tomcat7 install EL-API package
- with the wrong version. Changed symlinks to point to libdir
- versus javadir.
- Resolves: rhbz 982787 comment syntax in catalina.sh. Edited 
- tomcat7-7.0.40-JBPAPP-3749-catalina.sh.patch

* Thu Jun 20 2013 David Knox <dknox@redhat.com> 0:7.0.40-5_patch_01
- Regenerated JBPAPP-3749-catalina.sh patch

* Wed Jun 19 2013 David Knox <dknox@redhat.com> 0:7.0.40-4_patch_01
- Related: rhbbz 927930 api libs are copied into libdir verus
- symlinks

* Mon Jun 17 2013 David Knox <dknox@redhat.com> 0:7.0.40-3_patch_01
- Resolves: rhbz#971429  Postinstall scriptlet for tomcat6 and tomcat7 not
- executed in update
- Fixed typo in wrapper that prevented security manager from working 
- properly.

* Mon Jun 10 2013 David Knox <dknox@redhat.com> 0:7.0.40-2_patch_01
- Resolves: rhbz#901081 tomcat will not start using security manager on IBM JDK.
- Resolves: rhbz#969023 ClassNotFound 
- org.apche.commons.dbcp.Basic.DataSourceFactory. Commented JAVA_OPTS
- -Djavax.sql.DataSource.Factory catalina.sh (zip) and tomcat7.conf (rpm).
- Resolves: rhbz#923825 cannot create virtual host

* Thu May 30 2013 David Knox <dknox@redhat.com> 0:7.0.40-1_patch_01
- Added avalon-logkit to the tomcat-juli build. avalon-framework
- still doesn't work. 
- Resolved: rhbz#959841 - rebase tomcat7 to 7.0.40

* Tue May 28 2013 David Knox <dknox@redhat.com> 0:7.0.30-9_patch_03
- Resolved: rhbz#910479 Include full implementation of tomcat-juli

* Mon May 27 2013 David Knox <dknox@redhat.com> 0:7.0.30-8_patch_03
- Resolved: rhbz#927930 Fixed symlinks in lib dir to use absolute 
- path versus relative servlet, jsp, and el libs which are in 
- _javadir verus libdir.

* Thu May 16 2013 David Knox <dknox@redhat.com> 0:7.0.30-7_patch_03
- Related: rhbz#955983 Moved TOMCAT_LOG to /var/log where only root
- can write to it. There is no longer any need to touch TOMCAT_LOG.
- Changed mvn-jpp deploy:deploy-file to use /usr/share/java versus
- /usr/share/java-signed per mikeb in rel-eng

* Sun Apr 28 2013 David Knox <dknox@redhat.com> 0:7.0.30-6_patch_03
- Resolves: rhbz#955983 CVE-2013-1976 Improper TOMCAT_LOG management in init
- script. 

* Mon Jan 14 2013 David Knox <dknox@redhat.com> 0:7.0.30-5_patch_02
- Resolves: CVE-2012-4431 Bypass of CSRF prevention filter rbhz 883685
- patch ported from tomcat7-7.0.32
 
* Wed Oct 31 2012 David Knox <dknox@redhat.com> 0:7.0.30-4_patch_01
- Fixed typo jaspter to jaspter

* Tue Oct 23 2012 David Knox <dknox@redhat.com> 0:7.0.30-3_patch_01
- Resolves: JBPAPP-10179 zip and rpm differences

* Thu Oct 11 2012 David Knox <dknox@redhat.com> 0:7.0.30-2_patch_01
- Added conditional in post and preun to test existence of selinux
- before trying to configure the tomcat module.

* Wed Sep 19 2012 David Knox <dknox@redhat.com> 0:7.0.30-1_patch_01
- Rebased to tc 7.0.30 resolving JBPAPP-9725 - JNDI lookup fails

* Tue Sep 11 2012 David Knox <dknox@redhat.com> 0:7.0.29-8_patch_01
- Resolves: JBPAPP-9557 Remove tomcat clustering libs from distro

* Thu Aug 30 2012 David Knox <dknox@redhat.com> 0:7.0.29-7_patch_01
- Resolves: JBPAPP-9724. The commons-dbcp,collections,pool-eap6 packages
- did not agree with respect to namespace. This was fixed upstream and 
- the changes from Aug 15, except patch5, have been reversed.

* Wed Aug 15 2012 David Knox <dknox@redhat.com> 0:7.0.29-6_patch_01
- Resolves: JBPAPP-9724 CNFE BasicDataSourceFactory. Fixes applied
- by patch7 and patch5. JAVA_OPTS for javax.sql.DataSource.Factory
- uncommented in tomcat conf file.

* Wed Aug 15 2012 David Knox <dknox@redhat.com> 0:7.0.29-5_patch_01
- Resolves: JBPAPP-9599 Add the --shell switch for runuser and su.

* Thu Aug 9 2012 David Knox <dknox@redhat.com> 0:7.0.29-4_patch_01
- Correct semanage commands. Add check for selinuxenabled before
- installing or deleting ports.

* Fri Jul 20 2012 David Knox <dknox@redhat.com> 0:7.0.29-2_patch_01
- Updated the SELinux build. Not tested yet. Still need to edit selinux
- config files for the zip distro. 

* Tue Jul 3 2012 David Knox <dknox@redhat.com> 0:7.0.29-1_patch_01
- SELinux compile and install. Update ecj to 3.7.2
- Rebased on 7.0.29
- Fix commons-collections,dbcp,logging,pool to eap6 libs.

* Thu Jun 28 2012 David Knox <dknox@redhat.com> 0:7.0.28-7_patch_01
- SELinux config files are in the zip distro

* Wed Jun 27 2012 David Knox <dknox@redhat.com> 0:7.0.28-5_patch_01
- Include selinux config files. BR  for selinux-policy and 
- selinux-policy-devel

* Tue Jun 26 2012 David Knox <dknox@redhat.com> 0:7.0.28-4_patch_01
- Commons-daemon-eap6 required renaming to commons-daemon
- Fixed useradd to use nologin instead of sh
- Signing zips is turned off. Tomcat6 and tomcat7 now have the same
- jars. Signing was not happening as expected, that is, jars were signed by
- the tomcat6 build but not the tomcat7 build. There was no difference in the 
- way signing was configured or called.

* Fri Jun 22 2012 David Knox <dknox@redhat.com> 0:7.0.28-3_patch_01
- Fixed broken symlink to commons-logging-api. Both BR and R exist.
- Link will fail but copy will work. It is now copied like the others

* Thu Jun 21 2012 David Knox <dknox@redhat.com> 0:7.0.28-2_patch_01
- Library fixes to make zips and rpms symmetrical. Copy EWS2 libs
- into zips.

* Wed Jun 20 2012 David Knox <dknox@redhat.com> 0:7.0.28-1_patch_01
- Update to tc 7.0.28. Remove commons-logging-tomcat-juli. It is not
- an EWS2 package. Repair broken symlinks to dbcp,pool, & collections.
- Had to copy instead of link.

* Mon Jun 11 2012 David Knox <dknox@redhat.com> 0:7.0.27-8_patch_01
- Replace jakarta-commons-[dbpc,pool,collections,daemon] with 
- apache-commons-*-eap6. Update commons-logging to eap6 libs. 

* Tue Jun 5 2012 David Knox <dknox@redhat.com> 0:7.0.27-7_patch_01
- Resolved: Broken symlinks jasper-jdt (ecj3) and
- commons-logging-tomcat-juli (removed from the build as redundant.
- tomcat-juli.jar is a conglomeration of commons-logging-tomcat-juli
- and tomcat-juli.jar )
- Removed R for jakarta-taglibs-standard which is not necessary

* Thu May 17 2012 David Knox <dknox@redhat.com> 0:7.0.27-6_patch_01
- Remove jscv from build

* Sat Apr 28 2012 David Knox <dknox@redhat.com> 0:7.0.27-5_patch_01
- Remove RSA and JBoss policy. No longer needed since jars are not signed

* Fri Apr 27 2012 Permaine Cheung <pcheung@redhat.com. 0:7.0.27-4_patch_01
- Unsign jars, except for the ones in repolib for MEAD upload

* Fri Apr 27 2012 David Knox <dknox@redhat.com. 0:7.0.27-3_patch_01
- WIP - need to turn jar signing off

* Mon Apr 23 2012 David Knox <dknox@redhat.com> 0:7.0.27-2_patch_01
- Fixed pom artifactIDs

* Tue Apr 17 2012 David Knox <dknox@redhat.com> 0:7.0.27-1_patch_01
- Update to 7.0.27

* Thu Apr 12 2012 David Knox <dknox@redhat.com> 0:7.0.25-2_patch_01
- After WIP commit and push of -1_patch_01. Build works.

* Tue Feb 14 2012 David Knox <dknox@redhat.com> 0:7.0.25-1_patch_01
- Import from jb-eap-6-rhel-6

